local i=require"luci.model.tasks"
local o=require"luci.model.owntone"
local a,t,e
a=i.docker_map("owntone","owntone","/usr/libexec/istorec/owntone.sh",
translate("Owntone"),
translate("OwnTone is an open source (audio) media server which allows sharing and streaming your media library to iTunes (DAAP1), Roku (RSP), AirPlay devices (multiroom), Chromecast and also supports local playback.")
..translate("Official website:")..' <a href=\"https://owntone.github.io/owntone-server/\" target=\"_blank\">https://owntone.github.io/owntone-server/</a>')
t=a:section(SimpleSection,translate("Service Status"),translate("Owntone status:"))
t:append(Template("owntone/status"))
t=a:section(TypedSection,"main",translate("Setup"),translate("The following parameters will only take effect during installation or upgrade:"))
t.addremove=false
t.anonymous=true
e=t:option(Value,"image_name",translate("Image").."<b>*</b>",translate("Owntone only works in host network with port 3689"))
e.rmempty=false
e.datatype="string"
e:value("lscr.io/linuxserver/daapd:latest","lscr.io/linuxserver/daapd:latest")
e:value("lscr.io/linuxserver/daapd:28.5.20221103","lscr.io/linuxserver/daapd:28.5.20221103")
e.default="lscr.io/linuxserver/daapd:latest"
local n=o.blocks()
local i=o.home()
e=t:option(Value,"config_path",translate("Config path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local s,h=o.find_paths(n,i,"Configs")
for a,t in pairs(s)do
e:value(t,t)
end
e.default=h
e=t:option(Value,"music_path",translate("Music path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local t,o=o.find_paths(n,i,"Public")
for a,t in pairs(t)do
e:value(t,t)
end
e.default=o
return a
